{ config, pkgs, lib, mkOverride, ... }:

{
  home.packages = with pkgs; [ steam ];

  wayland.windowManager.sway.config = let
    mod = config.wayland.windowManager.sway.config.modifier;
    laptopKb = "1:1:AT_Translated_Set_2_keyboard";
  in {
    input = {
      "${laptopKb}" = {
        xkb_layout = "dvorak";
        xkb_options = "compose:ralt,ctrl:nocaps";
      };
    };
    keybindings = {
      "${mod}+Shift+k" = "input ${laptopKb} events toggle enabled disabled";
    };

    gaps.inner = lib.mkForce 0;
    fonts.size = lib.mkForce 10.0;
    window.border = lib.mkForce 1;
  };
}
