{ config, pkgs, lib, ... }:

{
  imports = [ ../bits/home-common.nix ../bits/zfs.nix ];

  networking.interfaces.enp0s25.useDHCP = true;
  networking.interfaces.wlp2s0.useDHCP = true;

  # Use the systemd-boot EFI boot loader.
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  services.xserver.videoDrivers = [ "intel" "fbdev" ];
}
